# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

- name: "DEBUG: proxy Ubuntu14.yml"
  debug:
    verbosity: 1
    msg: "DEBUG: Including proxy Ubuntu14.yml"

- name: install proxy_debs_inst packages
  environment:
    - "RUNLEVEL": 1
  apt:
    force_apt_get: true
    name: "{{ proxy_debs_inst }}"
    state: latest
    update_cache: no
  ignore_errors: BASE_ARE_CONNECTED|default('') == ''
  when:
    - BASE_ARE_CONNECTED|default('') != ''
    - not ansible_check_mode

- name: install cntlm packages
  environment:
    - "RUNLEVEL": 1
  apt:
    force_apt_get: true
    name: "cntlm"
    state: latest
    update_cache: no
  ignore_errors: "{{ BASE_PKG_IGNORE_ERRORS }}"
  when:
    - not ansible_check_mode
    - CORP_NTLM_PROXY|default('') != ''
    - BASE_ARE_CONNECTED|default('') != ''

